Create Slice ============ .. |location_slugpage_sizes| raw:: html https://cloud.syminet.com/slices/slugs/sizes ↗ .. |location_slugpage_dists| raw:: html https://cloud.syminet.com/slices/slugs/dists ↗ .. |location_slugpage_regions| raw:: html https://cloud.syminet.com/slices/slugs/regions ↗ .. role:: green Create a slice using the Syminet Cloud API. From Distribution ----------------- **Type:** :guilabel:`POST` .. py:function:: https://cloud.syminet.com/api/v1/slices/create Create a new "vanilla" slice using an OS distribution image. **Required JSON Properties:** region Region, e.g. "SFO1" or "LAX1". See the panel slug reference page at |location_slugpage_regions| or the :doc:`slug reference <../overview/slug_endpoints>` page for API access to slugs. slice_name Slice name. os_name Distribution name (debian11, etc.), ``osinfo-query os`` command on linux systems. See the panel slug reference page at |location_slugpage_dists| or the :doc:`slug reference <../overview/slug_endpoints>` page for API access to slugs. size Slug for size / plan of new slice. Must be same size (default if not provided), or larger than existing size. See the panel slug reference page at |location_slugpage_sizes| or the :doc:`slug reference <../overview/slug_endpoints>` page for API access to slugs. password Root password for new slice: minimum 8 chars, mixed cAsE, and a number. This will *not* be sent via email. **Optional JSON Properties:** ssh_keys List of ssh keys to add. ssh_users List of users to add all current SSH keys for. private_ip Assign private IP if == "True" enable_backups Enable automatic backups if == "True" fw_id Firewall ID to assign. .. code-block:: shell :caption: Curl curl --request POST \ --url https://cloud.syminet.com/api/v1/slices/create \ --header "content-type: application/json" \ --header "authorization:bearer $API_TOKEN" \ --data ' { "region": "SFO1", "slice_name": "11test1.com", "os_name": "debian12", "size": "s-4gb", "private_ip": "True", "enable_backups": "True" } ' .. code-block:: json :caption: Response { "backups_disabled": null, "backups_enabled": true, "building": 1, "bw_current": 0, "bw_previous": 0, "created": "2025-02-06 17:19:36.925397", "datacenter_id": 6, "deleted": null, "disk": 80, "disk_allocated": 1, "fw_id": null, "fw_status": null, "host_id": 50, "id": 3826, "ip": "74.80.234.35", "ip_private": "10.11.11.119", "isrunning": null, "last_backup": null, "legacy": null, "notes": null, "osinfo": "debian12", "osname": "Debian 12", "percent_complete": null, "progress": "queued", "ram": 4, "region": "SFO1", "slug": "s-4gb", "smtp": true, "status": "queued", "symscript_id": null, "user_id": 1423, "vcpu": 2, "vm_uuid": "1f0b512c-879b-47e7-8a53-b130148272a5", "vmname": "11test1.com" } From Snapshot ------------- **Type:** :guilabel:`POST` .. py:function:: https://cloud.syminet.com/api/v1/slices/create_from_snapshot/{SNAPSHOT_ID} Create a new slice from snapshot image ``SNAPSHOT_ID``. **Required JSON Properties:** slice_name Slice name. size Slug for size / plan of new slice. Must be same size (default if not provided), or larger than existing size. See the panel slug reference page at |location_slugpage_sizes| or the :doc:`slug reference <../overview/slug_endpoints>` page for API access to slugs. **Optional JSON Properties:** private_ip Assign private IP if == "True" enable_backups Enable automatic backups if == "True" fw_id Firewall ID to assign. .. code-block:: shell :caption: Curl curl --request POST \ --url https://cloud.syminet.com/api/v1/slices/create_from_snapshot/SNAPSHOT_ID \ --header "content-type: application/json" \ --header "authorization:bearer $API_TOKEN" \ --data ' { "slice_name": "11test1.com", "size": "s-4gb", "private_ip": "True", "enable_backups": "True" } ' .. code-block:: json :caption: Response { "backups_disabled": null, "backups_enabled": true, "building": 1, "bw_current": 0, "bw_previous": 0, "created": "2025-02-06 17:19:36.925397", "datacenter_id": 6, "deleted": null, "disk": 80, "disk_allocated": 1, "fw_id": null, "fw_status": null, "host_id": 50, "id": 3826, "ip": "74.80.234.35", "ip_private": "10.11.11.119", "isrunning": null, "last_backup": null, "legacy": null, "notes": null, "osinfo": "debian12", "osname": "Debian 12", "percent_complete": null, "progress": "queued", "ram": 4, "region": "SFO1", "slug": "s-4gb", "smtp": true, "status": "queued", "symscript_id": null, "user_id": 1, "vcpu": 2, "vm_uuid": "1f0b512c-879b-47e7-8a53-b130148272a5", "vmname": "11test1.com" } From Backup ----------- **Type:** :guilabel:`POST` .. py:function:: https://cloud.syminet.com/api/v1/slices/create_from_backup/{BACKUP_ID} Create a new slice using automatic backup image ``BACKUP_ID``. **Required JSON Properties:** slice_name Slice name. size Slug for size / plan of new slice. Must be same size (default if not provided), or larger than existing size. See the panel slug reference page at |location_slugpage_sizes| or the :doc:`slug reference <../overview/slug_endpoints>` page for API access to slugs. slug for size / plan of new slice. **Optional JSON Properties:** private_ip Assign private IP if == "True" enable_backups Enable automatic backups if == "True" fw_id Firewall ID to assign. .. code-block:: shell :caption: Curl curl --request POST \ --url https://cloud.syminet.com/api/v1/slices/create_from_backup/BACKUP_ID \ --header "content-type: application/json" \ --header "authorization:bearer $API_TOKEN" \ --data ' { "slice_name": "11test1.com", "size": "s-4gb", "private_ip": "True", "enable_backups": "True" } ' .. code-block:: json :caption: Response { "backups_disabled": null, "backups_enabled": true, "building": 1, "bw_current": 0, "bw_previous": 0, "created": "2025-02-06 17:19:36.925397", "datacenter_id": 6, "deleted": null, "disk": 80, "disk_allocated": 1, "fw_id": null, "fw_status": null, "host_id": 50, "id": 3826, "ip": "74.80.234.35", "ip_private": "10.11.11.119", "isrunning": null, "last_backup": null, "legacy": null, "notes": null, "osinfo": "debian12", "osname": "Debian 12", "percent_complete": null, "progress": "queued", "ram": 4, "region": "SFO1", "slug": "s-4gb", "smtp": true, "status": "queued", "symscript_id": null, "user_id": 1, "vcpu": 2, "vm_uuid": "1f0b512c-879b-47e7-8a53-b130148272a5", "vmname": "11test1.com" }